Package Details: autofirma 1.6.5-2

Git Clone URL: https://aur.archlinux.org/autofirma.git (read-only)
Package Base: autofirma
Description: Spanish Government digital signature client
Upstream URL: http://firmaelectronica.gob.es
Licenses: GPL, EUPL
Submitter: migrev
Maintainer: migrev
Last Packager: migrev
Votes: 16
Popularity: 1.32
First Submitted: 2017-04-17 07:28
Last Updated: 2019-09-20 15:58

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4

migrev commented on 2017-08-12 08:47

@coellobranco: Pero Marzal comment java-runtime=8 is required to install this package. Bump to 1.5-3 to reflect that.

coellobranco commented on 2017-08-12 08:15

Exception in thread "main" java.lang.UnsupportedClassVersionError: es/gob/afirma/standalone/configurator/AutoFirmaConfigurator : Unsupported major.minor version 52.0

Marzal commented on 2017-06-16 14:28

With Java 7 (java-runtime-common-2-2 jre7-openjdk-headless-7.u131_2.6.9-1 jre7-openjdk-7.u131_2.6.9-1) autofirma 1.5 fails to compile
Exception in thread "main" java.lang.UnsupportedClassVersionError: es/gob/afirma/standalone/configurator/AutoFirmaConfigurator : Unsupported major.minor version 52.0

With Java 8 (java-runtime-common-2-2 jre8-openjdk-headless-8.u131-1 jre8-openjdk-8.u131-1) this exception does not occur.

nenjordi commented on 2017-06-13 11:26

You need to also import /usr/lib/AutoFirma/AutoFirma_ROOT.cer from firefox

nenjordi commented on 2017-06-13 08:04

Missing execution of java -jar /usr/lib/AutoFirma/AutoFirmaConfigurador.jar
Otherwise the .pfx file is not generated and plugin does not work.